<?php
User::blockNotWorking();

$this->PageTitle = false;

$nomeCliente  = Util::getNomeImplantacao($model->Cliente->CLI_NOME, $model->Cliente->CLI_IMPLANTACAO);
$nomeCliente .= Util::getPendencias($model->Cliente, true);

$this->renderPartial('_menu', array('model' => $model));
?>

<h1>Solicitações de Transferência &raquo; <?= $nomeCliente; ?></h1>

<?php
    $statusAguardando = array(
        ClientesTransferencias::STATUS_AGUARDANDO,
        ClientesTransferencias::STATUS_AGUARDANDO_VINCULO
    );
    if (in_array($model->CLT_STATUS, $statusAguardando)) {
        if ($ativo = $model->cnpjAtivo()) {
            $link = GxHtml::link(
                "Código {$ativo->CLI_IDCLIENTE}",
                array('clientes/view', 'id' => $ativo->CLI_IDCLIENTE),
                array('target' => '_blank')
            );
            FaHtml::alert(
                "Já existe um cliente ativo cadastrado com o CNPJ/CPF informado ({$link})!",
                'warning',
                false,
                false
            );
        } elseif ($prospecto = $model->cnpjExists()) {
            $link = GxHtml::link(
                "Código {$prospecto->CLI_IDCLIENTE}",
                array('clientes/view', 'id' => $prospecto->CLI_IDCLIENTE),
                array('target' => '_blank')
            );
            $msg = "Já existe um prospecto cadastrado com o CNPJ/CPF informado ({$link}), ";
            $msg .= "ao verificar a solicitação como procedente, a solicitação será vinculada a ele.";
            FaHtml::alert($msg, 'warning', false, false);
        }
    } elseif ($model->CLT_STATUS == ClientesTransferencias::STATUS_PROCESSADO) {
        $gerarContrato = $model->ClienteAutorizado->cadastroCompleto();
        if (is_array($gerarContrato)) {
            $msg = '<b>Para poder gerar CONTRATOS, os seguintes campos são obrigatórios</b>:<br />';
            $msg .= implode('<br />', $gerarContrato) . '<br /><br />';
            FaHtml::alert($msg, 'warning', false, false);
        }
    }
?>
<?php
$this->renderPartial('_view', array('model' => $model));

$cs = Yii::app()->getClientScript();

$css = <<<CSS
    #infos {
        float: left;
        width: 100%;
    }
CSS;
$cs->registerCss(Util::uid(), $css);


